<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: VarVector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_var_vector-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">VarVector Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for VarVector:</div>
<div class="dyncontent">
<div class="center"><img src="class_var_vector__coll__graph.png" border="0" usemap="#a_var_vector_coll__map" alt="Collaboration graph"/></div>
<map name="a_var_vector_coll__map" id="a_var_vector_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,107,245"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a66ed8ee1b438c90e45b6a0a044e2ce14" id="r_a66ed8ee1b438c90e45b6a0a044e2ce14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a66ed8ee1b438c90e45b6a0a044e2ce14">VarVector</a> ()</td></tr>
<tr class="separator:a66ed8ee1b438c90e45b6a0a044e2ce14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a877932256a2d245df9b25ad8ba5f3e" id="r_a7a877932256a2d245df9b25ad8ba5f3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7a877932256a2d245df9b25ad8ba5f3e">VarVector</a> (<a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t, QVector&lt; QString &gt; <a class="el" href="#afce59d710ba8ee803c81da4711da1534">vars</a>)</td></tr>
<tr class="separator:a7a877932256a2d245df9b25ad8ba5f3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa2755f1b0ed1c7c38ec0b2882cde91" id="r_aaaa2755f1b0ed1c7c38ec0b2882cde91"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aaaa2755f1b0ed1c7c38ec0b2882cde91">operator[]</a> (int x)</td></tr>
<tr class="separator:aaaa2755f1b0ed1c7c38ec0b2882cde91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d820ef8601e815d0839fc83d7feae2e" id="r_a9d820ef8601e815d0839fc83d7feae2e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9d820ef8601e815d0839fc83d7feae2e">type</a> ()</td></tr>
<tr class="separator:a9d820ef8601e815d0839fc83d7feae2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afce59d710ba8ee803c81da4711da1534" id="r_afce59d710ba8ee803c81da4711da1534"><td class="memItemLeft" align="right" valign="top">QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afce59d710ba8ee803c81da4711da1534">vars</a> ()</td></tr>
<tr class="separator:afce59d710ba8ee803c81da4711da1534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1481dd7887f19b0868d97760fdf9dfd0" id="r_a1481dd7887f19b0868d97760fdf9dfd0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1481dd7887f19b0868d97760fdf9dfd0">push_back</a> (const QString &amp;x)</td></tr>
<tr class="separator:a1481dd7887f19b0868d97760fdf9dfd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb4056786dcdf2254f18879e218111f0" id="r_aeb4056786dcdf2254f18879e218111f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aeb4056786dcdf2254f18879e218111f0">set_type</a> (<a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t)</td></tr>
<tr class="separator:aeb4056786dcdf2254f18879e218111f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e76a53fd81763e3430dfe6a2c65170f" id="r_a8e76a53fd81763e3430dfe6a2c65170f"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; QString, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8e76a53fd81763e3430dfe6a2c65170f">valueCounts</a> ()</td></tr>
<tr class="separator:a8e76a53fd81763e3430dfe6a2c65170f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a46984280bc242a5b6823c5e95a074afc" id="r_a46984280bc242a5b6823c5e95a074afc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a46984280bc242a5b6823c5e95a074afc">_t</a></td></tr>
<tr class="separator:a46984280bc242a5b6823c5e95a074afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fe11f65274cbcb2ed0e5277b4aa8d31" id="r_a9fe11f65274cbcb2ed0e5277b4aa8d31"><td class="memItemLeft" align="right" valign="top">QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9fe11f65274cbcb2ed0e5277b4aa8d31">_vars</a></td></tr>
<tr class="separator:a9fe11f65274cbcb2ed0e5277b4aa8d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a66ed8ee1b438c90e45b6a0a044e2ce14" name="a66ed8ee1b438c90e45b6a0a044e2ce14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66ed8ee1b438c90e45b6a0a044e2ce14">&#9670;&#160;</a></span>VarVector() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VarVector::VarVector </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a877932256a2d245df9b25ad8ba5f3e" name="a7a877932256a2d245df9b25ad8ba5f3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a877932256a2d245df9b25ad8ba5f3e">&#9670;&#160;</a></span>VarVector() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VarVector::VarVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; QString &gt;</td>          <td class="paramname"><span class="paramname"><em>vars</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaaa2755f1b0ed1c7c38ec0b2882cde91" name="aaaa2755f1b0ed1c7c38ec0b2882cde91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaa2755f1b0ed1c7c38ec0b2882cde91">&#9670;&#160;</a></span>operator[]()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString VarVector::operator[] </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1481dd7887f19b0868d97760fdf9dfd0" name="a1481dd7887f19b0868d97760fdf9dfd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1481dd7887f19b0868d97760fdf9dfd0">&#9670;&#160;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VarVector::push_back </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb4056786dcdf2254f18879e218111f0" name="aeb4056786dcdf2254f18879e218111f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4056786dcdf2254f18879e218111f0">&#9670;&#160;</a></span>set_type()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VarVector::set_type </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d820ef8601e815d0839fc83d7feae2e" name="a9d820ef8601e815d0839fc83d7feae2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d820ef8601e815d0839fc83d7feae2e">&#9670;&#160;</a></span>type()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> VarVector::type </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e76a53fd81763e3430dfe6a2c65170f" name="a8e76a53fd81763e3430dfe6a2c65170f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e76a53fd81763e3430dfe6a2c65170f">&#9670;&#160;</a></span>valueCounts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; QString, int &gt; VarVector::valueCounts </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afce59d710ba8ee803c81da4711da1534" name="afce59d710ba8ee803c81da4711da1534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afce59d710ba8ee803c81da4711da1534">&#9670;&#160;</a></span>vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; QString &gt; VarVector::vars </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a46984280bc242a5b6823c5e95a074afc" name="a46984280bc242a5b6823c5e95a074afc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46984280bc242a5b6823c5e95a074afc">&#9670;&#160;</a></span>_t</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> VarVector::_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fe11f65274cbcb2ed0e5277b4aa8d31" name="a9fe11f65274cbcb2ed0e5277b4aa8d31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fe11f65274cbcb2ed0e5277b4aa8d31">&#9670;&#160;</a></span>_vars</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;QString&gt; VarVector::_vars</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="dataframe_8h_source.html">dataframe.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="src_2dataframe_8cpp.html">dataframe.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
